I am looking to purchase vBulletin and am only comfortable with using vBulletin 3.8.6. Would I be able to use that version of the software if I purchased?

Also, I have a skin in mind I want to use and someone once told me the default skin was the one that can be seen here: http://i41.tinypic.com/15fit8x.png

I am only curious cause this may be one that I want to use and I need to know this before I buy.

Thanks!